Bug 473647 - RFE: allow more timezones in kickstart
RFE: allow more timezones in kickstart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 13:58 EST by Curtis Doty
Modified: 2010-02-17 14:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-17 14:29:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2008-11-29 13:58:42 EST
A perfectly valid kickstart line:

  timezone --utc US/Pacific

Will produce this error.

  WARNING : Timezone US/Pacific set in kickstart is not valid, will ask
Comment 1 Radek Vykydal 2008-12-01 07:01:59 EST
The choice of timezone specifiers is limited to that present
in timeconfig tool, that is in file /usr/share/zoneinfo/zone.tab
(http://fedoraproject.org/wiki/Anaconda/Kickstart).
Comment 2 Curtis Doty 2008-12-02 20:04:29 EST
This is too pedantic and should be fixed.

Whatabout the astronomer who's using Fedora/kickstart to deploy a cluster with right time? Whatabout the sysadmin who has an acceptable/valid enterprise standard beyond that short list?

I'll go away if you feel strongly it should only support zone.tab listed values. Frankly, I prefer to just symlink /etc/localtime -> ../usr/share/zoneinfo/whatever in %post anyways. :-/ Which has it's own pros/cons.
Comment 3 Owen Taylor 2008-12-09 18:40:56 EST
It seem that the Etc/GMT (+...) timezones would be particularly useful and easy to add. (See addNoGeoZones in /usr/share/system-config-date/zonetab.py)
Comment 4 Radek Vykydal 2009-02-17 10:47:23 EST
(In reply to comment #3)
> It seem that the Etc/GMT (+...) timezones would be particularly useful and easy
> to add. (See addNoGeoZones in /usr/share/system-config-date/zonetab.py)
They are supported in current anaconda.

As for other specifiers, now when we have all zoneinfo files back in stage 2,
we could allow all respective specifiers in ks.
Comment 5 Radek Vykydal 2009-08-07 08:24:14 EDT
Should be fixed in version 12.11 of anaconda.
Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.